#ifndef RATIOS_H
#define RATIOS_H

#include "ftpaccess.h"
#include "RatiosBase.h"
#include <kapp.h>

class Ratios : public RatiosBase {
	Q_OBJECT
public:
	Ratios(QWidget *parent=0, const char *name=0);
	~Ratios();
public slots:
	void	ftpaccessLoaded(ftpaccess *xs);
	void	update();
	void	dlFreeAddPressed();
	void	dlFreeRmPressed();
	void	dlFreeDirAddPressed();
	void	dlFreeDirRmPressed();
	void	dlFreeAdded(bool isDir, QString name);
private:
	void	redraw();
	ftpaccess *	ftpxs;
	QStringList *	dlFreeL;
	QStringList *	dlFreeDirL;
};

#endif
